API endpoint:
https://georiter.com/api/v1/documents
Request example:
curl --location --request GET 'https://georiter.com/api/v1/documents' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
searchsearch_byname for Name, result for Result. Defaults to: name.template_id2 for About us, 3 for Advertisement, 4 for Article, 6 for Blog outline, 7 for Blog outro, 8 for Blog paragraph, 9 for Blog post, 10 for Blog section, 11 for Blog talking points, 13 for Call to action, 14 for Content rewrite, 15 for Content summary, 16 for FAQ, 17 for Hashtags, 18 for Headline, 19 for How it works, 20 for Meta description, 21 for Meta keywords, 22 for Mission statement, 23 for Newsletter, 24 for Pain-Agitate-Solution, 25 for Paragraph, 26 for Press release, 27 for Social post, 28 for Social post caption, 29 for Startup ideas, 30 for Startup names, 31 for Subheadline, 32 for Testimonial, 33 for Social media quote, 34 for Social media bio, 35 for Value proposition, 36 for Video description, 37 for Video script, 38 for Video tags, 39 for Video title, 40 for Vision statement, 41 for Product sheet, 42 for Welcome email, 43 for Push notification, 44 for Blog listicle, 45 for Content grammar, 48 for Google advertisement, 49 for Facebook advertisement, 51 for Review, 52 for Feature section, 54 for Landing Page Content Writer, 55 for Competitor Gap Analyzer. Defaults to: freestyle.favoritesort_byid for Date created, name for Name. Defaults to: id.sortdesc for Descending, asc for Ascending. Defaults to: desc.per_page10, 25, 50, 100. Defaults to: 10.API endpoint:
https://georiter.com/api/v1/documents/{id}
Request example:
curl --location --request GET 'https://georiter.com/api/v1/documents/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API endpoint:
https://georiter.com/api/v1/documents
Request example:
curl --location --request POST 'https://georiter.com/api/v1/documents' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'name={name}' \ --data-urlencode 'prompt={prompt}'
namepromptcreativity0 for Repetitive, 0.25 for Deterministic, 0.5 for Original, 0.75 for Creative, 1 for Imaginative. Defaults to: 0.5.API endpoint:
https://georiter.com/api/v1/documents/{id}
Request example:
curl --location --request PUT 'https://georiter.com/api/v1/documents/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
nameresultfavoriteAPI endpoint:
https://georiter.com/api/v1/documents/{id}
Request example:
curl --location --request DELETE 'https://georiter.com/api/v1/documents/{id}' \ --header 'Authorization: Bearer {api_key}'